Jump to content

Welcome to CyanogenMod

Welcome to our forum. Like most online communities you must register to post, but don't worry this is a simple free process that requires minimal information for you to signup. Be a part of the CyanogenMod Forum by signing in or creating an account. You can even sign in with your Facebook or Twitter account.
  • Start new topics and reply to others
  • Subscribe to topics and forums to get automatic updates
  • Get your own profile and make new friends
  • Download files attached to the forum.
  • Customize your experience here
  • Share your CyanogenMod experience!
Guest Message by DevFuse
 

MT3G - Engineering SPL


  • Please log in to reply
15 replies to this topic

#1 lithid

lithid

    I Like Turtles

  • Donators
  • 936 posts
  • Twitter:http://twitter.com/lithid
  • Country:
    us - United States
  • Location:
    Cleveland Ohio
  • Device Model:
    HTC Evo 4G
  • CM Version:
    Nightly
  • Recovery Image:
    Amon_RA

Posted 18 July 2010 - 01:56 AM

What is the best engineering spl to use for the mytouch3g (32b)?

#2 Brantyr

Brantyr
  • Members
  • 39 posts
  • Country:
    au - Australia
  • Device Model:
    Galaxy S, Magic
  • CM Version:
    6.0.0-RC1
  • Recovery Image:
    Amon_RA

Posted 18 July 2010 - 04:37 AM

There isn't much difference between them. I'm currently using 2005 because there were some issues with certain roms on 2010 though.

#3 lithid

lithid

    I Like Turtles

  • Donators
  • 936 posts
  • Twitter:http://twitter.com/lithid
  • Country:
    us - United States
  • Location:
    Cleveland Ohio
  • Device Model:
    HTC Evo 4G
  • CM Version:
    Nightly
  • Recovery Image:
    Amon_RA

Posted 18 July 2010 - 05:04 AM

i decided on 2009 as you can see in my sig... I just wanted to make sure I had access to fastboot just incase anything ever happened.

#4 RioRyan

RioRyan
  • Members
  • 6 posts
  • Twitter:ryanriopel
  • Country:
    ca - Canada
  • Device Model:
    |1|
  • CM Version:
    6.0.0-RC1
  • Recovery Image:
    Amon_RA

Posted 18 July 2010 - 05:33 AM

I'm also using 2009... because CM6 wouldn't even install on 2010 for me.

#5 Galaxy

Galaxy
  • Donators
  • 183 posts
  • Country:
    se - Sweden
  • Device Model:
    Magic 32A
  • CM Version:
    CM6 Nightly 185
  • Recovery Image:
    Amon_RA

Posted 18 July 2010 - 11:13 AM

2005 is the best one I think.

#6 Skrki

Skrki
  • Moderators
  • 623 posts
  • Country:
    rs - Serbia
  • Device Model:
    MT3G 32B / Desire Z
  • CM Version:
    CM6.1 2708 port / CM7 nightly 263
  • Recovery Image:
    Stock

Posted 18 July 2010 - 03:37 PM

Check here:
http://forum.xda-dev...ad.php?t=529019

..and define "best".

Eng. SPL has a few purposes, all of which have been very well explained in the past:

1. Bootstrap your Android (any SPL does this)
2. Allow you to unleash the full potential of fastboot (any eng. SPL does this).

So, if you think in terms of (2), any eng. SPL will suffice.

Please note, the SPL 1.33.2005 is the worst SPL you can use on a Magic, as it is completely unnecessary. Do your research on DangerSPL (see the Wiki for example) - it has nowadays become almost obsolete, with the 1.33.2003 SPL.

I mention the SPL requirements for CM5/6 in the sticky thread here:
http://forum.cyanoge...-v507-05252010/ (see Bootloader section, and follow the links there)

#7 loctorn

loctorn
  • Members
  • 18 posts
  • Country:
    us - United States
  • Location:
    Alabama
  • Device Model:
    |2|
  • CM Version:
    Testin CM 6 nightly
  • Recovery Image:
    ClockworkMod

Posted 18 July 2010 - 04:42 PM

View Postskrki, on 18 July 2010 - 03:37 PM, said:

Check here:
http://forum.xda-dev...ad.php?t=529019

..and define "best".

Eng. SPL has a few purposes, all of which have been very well explained in the past, but to sum it up:

1. Bootstrap your Android (any SPL does this)
2. Allow you to unleash the full potential of fastboot (any eng. SPL does this).

So, if you think in terms of (2), any eng. SPL will suffice.

Please note, the SPL 1.33.2005 is the worst SPL you can use on a Magic, as it is completely unnecessary. Please do your research on DangerSPL (see the Wiki for example) - it has nowadays become almost obsolete, with the 1.33.2003 SPL.

I mention the SPL requirements for CM5 in the sticky thread here:
http://forum.cyanoge...-v507-05252010/ (see Bootloader section, and follow the links there)

Hmmm I looked at that list and my Hboot is 1.33.0006 (SAPP30000) and I don't see it in the list. (I do see SAPP30000 but it doesn't show the 1.33.0006)  So which one do I actually have out of that list?

#8 lithid

lithid

    I Like Turtles

  • Donators
  • 936 posts
  • Twitter:http://twitter.com/lithid
  • Country:
    us - United States
  • Location:
    Cleveland Ohio
  • Device Model:
    HTC Evo 4G
  • CM Version:
    Nightly
  • Recovery Image:
    Amon_RA

Posted 19 July 2010 - 01:19 AM

View Postloctorn, on 18 July 2010 - 04:42 PM, said:

Hmmm I looked at that list and my Hboot is 1.33.0006 (SAPP30000) and I don't see it in the list. (I do see SAPP30000 but it doesn't show the 1.33.0006)  So which one do I actually have out of that list?
none.. reply to that post so they can update it.

#9 loctorn

loctorn
  • Members
  • 18 posts
  • Country:
    us - United States
  • Location:
    Alabama
  • Device Model:
    |2|
  • CM Version:
    Testin CM 6 nightly
  • Recovery Image:
    ClockworkMod

Posted 19 July 2010 - 01:23 AM

View Postlithid, on 19 July 2010 - 01:19 AM, said:

none.. reply to that post so they can update it.

Which one of the SPL's are recommended on the MT3G sapphire?

EDIT: I checked the thread out and someone had already listed the SPL that my MT3G has but it doesn't look like they are updating the thread.

#10 lithid

lithid

    I Like Turtles

  • Donators
  • 936 posts
  • Twitter:http://twitter.com/lithid
  • Country:
    us - United States
  • Location:
    Cleveland Ohio
  • Device Model:
    HTC Evo 4G
  • CM Version:
    Nightly
  • Recovery Image:
    Amon_RA

Posted 19 July 2010 - 01:54 AM

View Postloctorn, on 19 July 2010 - 01:23 AM, said:

Which one of the SPL's are recommended on the MT3G sapphire?

EDIT: I checked the thread out and someone had already listed the SPL that my MT3G has but it doesn't look like they are updating the thread.
the one in my sig is what im using no issue here though

#11 SBS

SBS
  • Members
  • 26 posts
  • Country:
    us - United States
  • Location:
    Tokyo
  • Device Model:
    magic
  • CM Version:
    6.0
  • Recovery Image:
    Amon_RA

Posted 13 October 2010 - 07:14 AM

My apologies for reviving an old thread, but I just stumbled onto this and think it needs clarification because there seems to be conflicting information here and on XDA.

View PostSkrki, on 18 July 2010 - 03:37 PM, said:

Please note, the SPL 1.33.2005 is the worst SPL you can use on a Magic, as it is completely unnecessary. Please do your research on DangerSPL (see the Wiki for example) - it has nowadays become almost obsolete, with the 1.33.2003 SPL.

According to Amon_RA, there is nothing "dangerous" or "deathly" about 1.33.2005 on the Magic because it is in fact a Magic SPL that just happens to work on the Dream.

Amon_RA on XDA said:

Incorrect, the Danger spl or Haykuro spl or whatever you call it is in fact the Engineering SPL 1.33.2005 of the Sapphire (check the MD5SUM if you don't believe me).

Haykuro got lucky flashing it on a Dream, that's all.

There is absolutely nothing special about the Danger SPL, it's just a sapphire SPL that works on a Dream.

And the XDA Sapphire Hacking wiki, albeit a bit old now, recommends 1.33.2005.

Quote

Magic SPL HBOOT collection -For T-Mobile MyTouch 3G or PVT32B Magics, it is reccommended you use the 1.33.2005 engineering SPL.

So, am I missing something here? Again, my apologies for bumping this, but since flashing SPLs is more dangerous than flashing ROMs, I thought it would be best to clear this up.

#12 Android_x10i

Android_x10i
  • Members
  • 11 posts
  • Twitter:lady_shaver
  • Country:
    de - Germany
  • Location:
    Rendsburg, Germany
  • Device Model:
    HTC Magic 32b
  • CM Version:
    CyanogenMod
  • Recovery Image:
    Cyanogen

Posted 13 October 2010 - 07:04 PM

I am using 1.33.2004 for my Magic Vodafone 32b and i think all works perfectly.

#13 -Stevo-

-Stevo-
  • Members
  • 1297 posts
  • Country:
    us - United States
  • Location:
    Salt Lake City, Utah
  • Device Model:
    HTC Vision G2
  • CM Version:
    CM7.0.0-RCX
  • Recovery Image:
    ClockworkMod

Posted 13 October 2010 - 11:40 PM

2005 is just fine. dont worry about it

#14 XanRonin

XanRonin
  • Members
  • 5 posts
  • Country:
    us - United States
  • Location:
    Tampa
  • Device Model:
    MT3G 1.2 DD, G1 tester
  • CM Version:
    CM6 Nightly
  • Recovery Image:
    Amon_RA

Posted 14 October 2010 - 01:25 AM

What about mytouch 1.2? 32A. Which engineering spl is best?

#15 Skrki

Skrki
  • Moderators
  • 623 posts
  • Country:
    rs - Serbia
  • Device Model:
    MT3G 32B / Desire Z
  • CM Version:
    CM6.1 2708 port / CM7 nightly 263
  • Recovery Image:
    Stock

Posted 14 October 2010 - 09:00 AM

View PostXanRonin, on 14 October 2010 - 01:25 AM, said:

What about mytouch 1.2? 32A. Which engineering spl is best?

As far as I know, there are no engineering SPLs that are able to boot Android on MT3G 1.2 correctly. When you need to fastboot, you flash one of the eng. SPLs for Magic (1.33.2010 for example), do your thing, then flash the stock SPL back before booting the OS.

#16 XanRonin

XanRonin
  • Members
  • 5 posts
  • Country:
    us - United States
  • Location:
    Tampa
  • Device Model:
    MT3G 1.2 DD, G1 tester
  • CM Version:
    CM6 Nightly
  • Recovery Image:
    Amon_RA

Posted 14 October 2010 - 05:44 PM

View PostSkrki, on 14 October 2010 - 09:00 AM, said:

As far as I know, there are no engineering SPLs that are able to boot Android on MT3G 1.2 correctly. When you need to fastboot, you flash one of the eng. SPLs for Magic (1.33.2010 for example), do your thing, then flash the stock SPL back before booting the OS.
Thank you, I couldn't decipher a clear answer from the other forums.